aboutsummaryrefslogtreecommitdiffstats
path: root/core/busybox/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2008-10-18 09:16:29 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2008-10-18 09:16:29 +0000
commit645531103b2ee8ef54d53a58eca3b52f7d3fb9ac (patch)
tree216abaf5725ec2ec8fd85ee16bb116ff8ecaf672 /core/busybox/APKBUILD
downloadaports-645531103b2ee8ef54d53a58eca3b52f7d3fb9ac.tar.gz
aports-645531103b2ee8ef54d53a58eca3b52f7d3fb9ac.tar.bz2
aports-645531103b2ee8ef54d53a58eca3b52f7d3fb9ac.tar.xz
added busybox
Diffstat (limited to 'core/busybox/APKBUILD')
-rw-r--r--core/busybox/APKBUILD43
1 files changed, 43 insertions, 0 deletions
diff --git a/core/busybox/APKBUILD b/core/busybox/APKBUILD
new file mode 100644
index 0000000000..b1d017e7dc
--- /dev/null
+++ b/core/busybox/APKBUILD
@@ -0,0 +1,43 @@
+pkgname=busybox
+pkgver=1.12.1
+pkgrel=1
+pkgdesc="Size optimized toolbox of many common UNIX utilities"
+url=http://busybox.net
+license=GPL-2
+arch=i486
+makedepends="binutils gcc linux-headers make patch uclibc-dev"
+
+source="http://busybox.net/downloads/busybox-1.12.1.tar.bz2
+ http://busybox.net/downloads/fixes-1.12.1/busybox-1.12.1-grep.patch
+ bb-modprobe-v9.diff
+ $pkgname-1.12.1-vi.patch
+ $pkgname-1.11.1-bb.patch
+ $pkgname-1.12.0-mdev-exec.patch
+ $pkgname-1.12.1-iproute-metric.patch
+ busyboxconfig"
+
+build() {
+ cd $srcdir/$pkgname-$pkgver
+
+ #patches
+ patch -p1 -i ../$pkgname-1.12.1-vi.patch || return 1
+ patch -p1 -i ../$pkgname-1.11.1-bb.patch || return 1
+ patch -p0 -i ../$pkgname-1.12.0-mdev-exec.patch || return 1
+ patch -p1 -i ../$pkgname-1.12.1-grep.patch || return 1
+ patch -p0 -i ../$pkgname-1.12.1-iproute-metric.patch || return 1
+ patch -p0 -i ../bb-modprobe-v9.diff || return 1
+
+ cp ../busyboxconfig .config
+ make silentoldconfig || return 1
+ make || return 1
+ make install DESTDIR=$pkgdir
+}
+
+md5sums="dc2e5e00d6fee8229ae92884c68733a7 busybox-1.12.1.tar.bz2
+76273f1580295a12270dcca0cdeb9a27 busybox-1.12.1-grep.patch
+a8aff3962d4481e8b402e739703fbe38 bb-modprobe-v9.diff
+a427a73c3d53d3c5bb05fba0fd34e397 busybox-1.12.1-vi-path.patch
+4c0f3b486eaa0674961b7ddcd0c60a9b busybox-1.11.1-bb.patch
+b4ce6235028c2c20fa367375534c3a18 busybox-1.12.0-mdev-exec.patch
+54de0abe27e0ad362973be7fa81c487e busybox-1.12.1-iproute-metric.patch
+997d1759dec4cbbf90594824a2ac34b5 busyboxconfig"